function [f,gamma] = fdist_prescribe2_poly(lambda1,lambda2,pars)
% Emre Mengi (Modified on August 19, 2011)
%
% call: function [f, g] = fdist_defective(lambda,pars)
% task:
%		calculates 
%				f = sup_gamma 
%						sigma_(2n-1)([A - (lambda(1)+i*lambda(2))*I		gamma*I;
%													0		A - (lambda(1)+i*lambda(2))*I])
%		and its gradient g
% note:
%		the input matrix A must be passed through pars.A





[n,n2,m] = size(pars.P);

if (n ~= n2)
	error('P must be square');
end


%%%%%%%%%%%%%
% (1) First find optimal gamma
%%%%%%%%%%%%%
pars.lambda1 = lambda1;
pars.lambda2 = lambda2;
pars.nvar = 1;
pars.fgname = 'dist_prescribe2_poly';


options.prtlevel = 0;
options.x0 = 1;
options.normtol = 10^-10;

[gamma,f] = bfgs(pars,options);

f = -f;


return;