function [f, g] = dist_multiple_poly(gamma,pars)
% Emre Mengi (Modified August 19, 2011)
%
% call: [f, g] = dist_multiple_poly(gamma,pars)


[n,n2,m] = size(pars.P);
P = pars.P;

Pfun = pars.P(:,:,1);
for j = 1:m-1
	Pfun = Pfun + pars.lambda^j*P(:,:,j+1);
end


Pprime = pars.P(:,:,2);
for j = 2:m-1
	Pprime = Pprime + j*pars.lambda^(j-1)*pars.P(:,:,j+1);
end





B = [Pfun   (gamma(1)+i*gamma(2))*Pprime;
	 zeros(n)		Pfun];


[U,S,V] = svd(B);

S = diag(S);
[S,ind] = sort(S);

vm = V(:,ind(2));
vm = vm/norm(vm);
um = U(:,ind(2));
um = um/norm(um);


f = -S(2);
g(1,1) = -real(um(1:n)'*Pprime*vm(n+1:2*n));
g(2,1) = imag(um(1:n)'*Pprime*vm(n+1:2*n));

return;