function [f, g] = dist_prescribe2_poly(gamma,pars)
% Emre Mengi (Modified August 19, 2011)
%
% call: [f, g] = dist_prescribe2_poly(gamma,pars)


[n,n2,m] = size(pars.P);
P = pars.P;

Pfun1 = P(:,:,1);
for j = 1:m-1
	Pfun1 = Pfun1 + pars.lambda1^j*P(:,:,j+1);
end


Pfun2 = P(:,:,1);
for j = 1:m-1
	Pfun2 = Pfun2 + pars.lambda2^j*P(:,:,j+1);
end



if (abs(pars.lambda1 - pars.lambda2) < 10^-10)
	Pfun12 = pars.P(:,:,2) + 2*pars.lambda1*pars.P(:,:,3);
else
	Pfun12 = (Pfun1 - Pfun2)/(pars.lambda1 - pars.lambda2);
end


B = [Pfun1			gamma(1)*Pfun12;
	 zeros(n)			Pfun2];


[U,S,V] = svd(B);

S = diag(S);
[S,ind] = sort(S);

vm = V(:,ind(2));
vm = vm/norm(vm);
um = U(:,ind(2));
um = um/norm(um);


f = -S(2);
g(1,1) = -real(um(1:n)'*Pfun12*vm(n+1:2*n));
% g(2,1) = imag(um(1:n)'*Pfun12*vm(n+1:2*n));

return;